/**
 * @author 海狸
 * @description 图表类型
 */
export declare enum ComponentType {
    /** 开放组件统一用0标识 */
    CUSTOM = 0,
    /** 交叉表 */
    TABLE = 1,
    /** 柱图 */
    BAR = 2,
    /** 线图 */
    LINE = 3,
    /** 饼图 */
    PIE = 4,
    /** 气泡地图 */
    BUBBLE_MAP = 5,
    /** 彩色地图 */
    COLOR_MAP = 6,
    /** 雷达图 */
    RADAR = 7,
    SCATTER = 9,
    /** 漏斗类 */
    FUNNEL = 10,
    /** 指标看板 */
    INDICATOR = 11,
    /** 矩阵树图 */
    TREEMAP = 16,
    /** 仪表板 */
    GAUGE = 20,
    TEXT = 17,
    /** 查询控件 */
    QUERY = 18,
    DATEPICKER = 19,
    POLAR = 8,
    WORDCLOUD = 12,
    TORNADO = 13,
    /** 树图 */
    TREE = 14,
    /** 来源去向 */
    PATH = 15,
    IFRAME = 21,
    TAB = 22,
    PIC = 23,
    LBS_BUBBLE_MAP = 24,
    LBS_MAP = 24,
    POLYLINE = 25,
    STRIP = 26,
    PROGRESS = 27,
    /** 透视表 */
    PERSPECTIVE = 28,
    BUBBLE = 29,
    RADICAL_BAR = 30,
    MAP_LBS_LINE = 31,
    MAP_LBS_HEAT = 32,
    MAP_3D_WORLD = 33,
    MAP_3D_CHINA = 34,
    OFFLINE = 35,
    MAP_3D_SPHERE = 36,
    LINE_STACK = 37,
    POLYLINE_STACK = 38,
    POLYLINE_STACK_PERCENT = 39,
    STRIP_STACK = 40,
    STRIP_STACK_PERCENT = 41,
    BAR_STACK = 42,
    BAR_STACK_PERCENT = 43,
    MAP_LBS_CONTRAIL = 44,
    MAP_LBS_DYNAMICTRAIL = 45,
    MAP_REGION_BUBBLE = 46,
    MAP_REGION_COLOR = 47,
    /** 组合图 */
    COMBINATION = 48,
    DashBoard = 49,
    /** 复合式查询控件 */
    ADVANCED_QUERY = 50,
    /** 瀑布图 */
    WATERFALL = 51,
    /** 桑基图 */
    SANKEY = 52,
    /** 指标趋势图 */
    INDICATOR_TREND = 53,
    /** 排行榜 */
    RANKING_LIST = 54,
    /** 翻牌器 */
    FLIPPER = 55,
    /** 来源去向 */
    FROMTO = 56,
    /** 新版色彩地图 */
    MAP_COLOR_NEW = 57,
    /** 新版气泡地图 */
    MAP_BUBBLE_NEW = 58,
    /** 新版散点图 */
    SCATTER_NEW = 59,
    QUERY2 = 60,
    /** 新版漏斗图 */
    FUNNEL_NEW = 61,
    /** 新版对比漏斗图 */
    FUNNEL_NEW_COMPARE = 62,
    /** 新版仪表盘 */
    GAUGE_NEW = 63,
    /** 水波图 */
    WATERWAVE = 64,
    /** 新版本进度条 */
    PROGRESS_NEW = 65,
    /** 新版指标卡 */
    INDICATOR_CARD = 66,
    /** 指标拆解树 */
    DECOMPOSITION_TREE = 67,
    /** 动态柱图 */
    BAR_CHART_RACE = 68,
    /** timeline */
    STORY_TIMELINE = 69,
    /** 新交叉表 */
    CROSS_TABLE = 70,
    /** 符号地图 */
    LBS_SYMBOL_MAP = 71,
    /** 新明细表 */
    COMMON_TABLE = 73,
    /** 即席分析表格 */
    ANALYSE_TABLE = 72,
    /** 电子表格交叉表 */
    EXCEL_CROSS_TABLE = 74,
    /** 趋势分析表格 */
    TREND_TABLE = 75,
    /** [组件子数据集ChildCube] 子数据集组件 */
    CHILD_CUBE = 76,
    /** 钉钉表格-交叉表 */
    QUICK_REPORT_CROSS_TABLE = 77
}
export declare enum ChartType {
    root = "root",
    line = "line",
    'line-stack' = "line-stack",
    'polyline' = "polyline",
    'polyline-stack' = "polyline-stack",
    'polyline-stack-percent' = "polyline-stack-percent",
    'bar' = "bar",
    'bar-stack' = "bar-stack",
    'bar-stack-percent' = "bar-stack-percent",
    'radical-bar' = "radical-bar",
    'strip' = "strip",
    'strip-stack' = "strip-stack",
    'strip-stack-percent' = "strip-stack-percent",
    'pie' = "pie",
    'map.bubble' = "map.bubble",
    'map.color' = "map.color",
    'map.bubble.new' = "map.bubble.new",
    'map.color.new' = "map.color.new",
    'map.region.color' = "map.region.color",
    'map.region.bubble' = "map.region.bubble",
    'map.lbs' = "map.lbs",
    'map.lbs.bubble' = "map.lbs.bubble",
    'map.lbs.heat' = "map.lbs.heat",
    'map.lbs.line' = "map.lbs.line",
    'map.lbs.symbol' = "map.lbs.symbol",
    'map.lbs.contrail' = "map.lbs.contrail",
    'map.lbs.dynamictrail' = "map.lbs.dynamictrail",
    'map.3d.world' = "map.3d.world",
    'map.3d.china' = "map.3d.china",
    'map.3d.sphere' = "map.3d.sphere",
    'table' = "table",
    'perspective' = "perspective",
    'gauge' = "gauge",
    'gauge.new' = "gauge.new",
    'waterwave' = "waterwave",
    'progress.new' = "progress.new",
    'radar' = "radar",
    'scatter' = "scatter",
    'scatter.new' = "scatter.new",
    'funnel' = "funnel",
    'indicator' = "indicator",
    'indicator-card' = "indicator-card",
    'treemap' = "treemap",
    'polar' = "polar",
    'wordCloud' = "wordCloud",
    'tornado' = "tornado",
    'tree' = "tree",
    'path' = "path",
    'progress' = "progress",
    'bubble' = "bubble",
    'offline' = "offline",
    'query' = "query",
    'iframe' = "iframe",
    'text' = "text",
    'tab' = "tab",
    'pic' = "pic",
    'waterfall' = "waterfall",
    'sankey' = "sankey",
    'advanced_query' = "advanced-query",
    'ranking-list' = "ranking-list",
    flipper = "flipper",
    fromto = "fromto",
    'indicator-trend' = "indicator-trend",
    'combination' = "combination",
    'query2' = "query2",
    'funnel.new' = "funnel.new",
    'funnel.new.compare' = "funnel.new.compare",
    'decomposition-tree' = "decomposition-tree",
    'bar-chart-race' = "bar-chart-race",
    'story-timeline' = "story-timeline",
    'tab-panel' = "tab-panel",
    'custom' = "custom",
    'cross-table' = "cross-table",
    'excel-cross-table' = "excel-cross-table",
    'quick-report-cross-table' = "quick-report-cross-table",
    'story-builder' = "story-builder",
    'common-table' = "common-table",
    'child-cube' = "child-cube",
    'trend-table' = "trend-table"
}
