/**
 * @author 雅影
 * @description 数据集关联模型类型定义
 */
import { TableJoinType, JoinCondition, TableRelation } from './cube-model';
/** 数据集字段关联模型 */
export interface CubeLinkJoinKeyModel {
    /** 关联条件 */
    condition: JoinCondition;
    /** 关联字段名称 */
    sourceKey: string;
    /** 目标字段名称 */
    targetKey: string;
}
/** 数据集关联模型 */
export interface CubeLinkModel {
    /** 来源id */
    sourceId: string;
    /** 目标id */
    targetId: string;
    /** 来源类型 */
    sourceType: 'TABLE' | 'FILE';
    /** 目标类型 */
    targetType: 'TABLE' | 'FILE';
    /** 来源表名称 */
    sourceTableName: string;
    /** 目标表名称 */
    targetTableName: string;
    /** 关联类型 */
    joinType: TableJoinType;
    /** 关联key */
    joinKeys: CubeLinkJoinKeyModel[];
    /** 关联关系 */
    relation: TableRelation;
}
