import * as React from 'react';
export declare type CommonCompInputAreaType = 'area_type' | 'area_dim' | 'area_row' | 'area_column' | 'area_value' | 'area_measure' | 'filters' | string;
export declare enum CommonCompInputAreaTypeEnum {
    areaType = "area_type",
    areaDim = "area_dim",
    areaRow = "area_row",
    areaColumn = "area_column",
    areaValue = "area_value",
    areaMeasure = "area_measure",
    filters = "filters"
}
/**
 * 保留的地图areaid,写死，具有特殊含义，
 * 其他area不能用，目前就drill和filters
 */
export declare enum RetainAreaId {
    drill = "drill",
    filters = "filters"
}
export declare enum QueryAxisType {
    /** 钻取 */
    drill = "drill",
    /** 行, 一般对应维度类型 */
    row = "row",
    /** 列, 一般对应度量类型 */
    column = "column",
    /** 过滤器 */
    filters = "filters"
}
/** 维度 | 度量类型 */
export declare enum FieldType {
    /** 维度 */
    dimension = "dimension",
    /** 度量 */
    measure = "measure"
}
export declare enum FieldGroupType {
    dimensionGroup = "dimensionGroup",
    measureGroup = "measureGroup"
}
export declare enum SecondFieldType {
    number = "number",
    string = "string",
    geographic = "geographic",
    imageUrl = "imageUrl",
    /** 字段date,datetime,time都归一化为datetime类型，表示时间类型 */
    datetime = "datetime"
}
export declare enum CUSTOM_FIELD_TYPES {
    VIRTUAL_FIELD = "VIRTUAL_FIELD",
    AGGREGATE_CALC_FIELD = "AGGREGATE_CALC_FIELD",
    FIELD_GROUP = "FIELD_GROUP"
}
export declare enum ResultMode {
    SELECT_ALL = "selectAll",
    LIMIT_NUM = "limitNum"
}
export declare enum ChartStatus {
    null = "null",
    stacked = "stacked",
    percent = "percent"
}
/** 堆积类型图，排序类型 */
export declare enum StackedSortType {
    /** 常规排序 */
    Normal = "Normal",
    /** 整体堆积升序 */
    Ascending = "Ascending",
    /** 整体堆积降序 */
    Descending = "Descending"
}
export declare enum FreshTimeUnit {
    'min' = "min",
    'sec' = "sec"
}
/**
 * 批量配置单元格类型
 */
export declare enum ConfigCellType {
    header = "header",
    checkbox = "checkbox",
    collapse = "collapse",
    fieldname = "fieldname",
    input = "input",
    dropdown = "dropdown",
    clicktext = "clicktext",
    selectext = "selectext",
    blank = "blank"
}
/**
 * 批量配置单元格配置类型
 */
export declare enum ConfigColumnType {
    select = "select",
    fieldName = "fieldName",
    fieldAlias = "fieldAlias",
    fieldDesc = "fieldDesc",
    aggregater = "aggregater",
    format = "format",
    alignment = "alignment",
    sort = "sort",
    contrast = "contrast",
    advancedCompute = "advancedCompute",
    operate = "operate",
    nodeType = "nodeType",
    expand = "expand"
}
/**
 * 批量配置单元格参数
 */
export interface ConfigCellOption {
    type: ConfigCellType;
    text?: string;
    /** 字段icon */
    icon?: React.ReactNode;
    /** cell wrapper的额外class */
    classNames?: string[];
    /** 组件的额外属性 */
    props?: {
        [key: string]: any;
    };
}
export interface FieldConfigRow {
    rows?: FieldConfigRow[];
    columns: {
        columnType?: ConfigColumnType;
        cells: ConfigCellOption[];
        dropdownTypes?: string[];
    }[];
    classNames?: string[];
}
export declare class CheckBoxState {
    id: string;
    checked: boolean;
    indeterminate?: boolean;
    parentId?: string;
}
