/**
 * @author 忘悠
 * @description 数据面板图表接入模型
 */
import { AreaMap, DataSchemaAreaItem, Message } from './dataSchemaItem';
import { Platform } from '../data-schema';
export declare class ResultDisplay {
    /** 上下限 */
    upLimit?: number;
    downLimit?: number;
    /** 是否展示全量选择按钮 */
    isShowAll?: boolean;
    /** 是否隐藏展示结果设置 */
    hide?: boolean;
}
export declare class DataPanelDataSchema {
    /** 禁用调整面板大小以及收起展开功能 */
    disableResize?: boolean;
    /** 高级查询控件采用之前面板的模式，比较特殊 */
    advanceQueryMode?: boolean;
    areas?: DataSchemaAreaItem[];
    /** 结果展示 */
    resultDisplay?: ResultDisplay;
    /** 是否需要 */
    alwaysFresh?: boolean;
    hooks?: {
        /** 点击更新按钮之前的钩子 */
        beforeUpdateComponent?: (component: any, platform?: Platform) => {
            component: any;
        };
        /** 点击聚合明细按钮的钩子，点击之后会更新component */
        onClickQueryDetailBtns?: (component: any) => {
            component: any;
        };
        /** 点击更新按钮时的自定义校验 */
        beforeUpdateComponentValidate?: (areaMap: AreaMap) => {
            isValid: boolean;
            msg?: Message;
        };
        /** 转换为component inputquery模型时调用 */
        reviseWhenConvertToQueryInput?: (input: any) => any;
        /** 指标树管理，趋势分析表用到 */
        indicatorTreeManager?: {
            setter: (component: any, newHierarchicalData?: any[]) => any;
            getter: (component: any) => any[];
        };
    };
    /** 开启聚合明细按钮组 */
    showQueryDetailBtns?: boolean;
    /** 关闭度量重复校验 */
    allowMeasureRepeat?: boolean;
    isShowCube?: (component: any) => boolean;
}
