"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CrossTableTotalConfig = exports.CrossTableFieldSetting = exports.CrossTableRowModel = exports.CrossTableColumnModel = exports.CrossTableRowType = exports.CrossTableColumnType = exports.OlapResponseBase = exports.RowColumnMeta = exports.CellMeta = void 0;

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass.js"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck.js"));

var CellMeta = function CellMeta() {
  (0, _classCallCheck2.default)(this, CellMeta);
  this.value = '';
  this.raw = '';
  this.dataType = void 0;
  this.props = {
    guid: '',
    hidden: false
  };
};

exports.CellMeta = CellMeta;

var RowColumnMeta = function RowColumnMeta() {
  (0, _classCallCheck2.default)(this, RowColumnMeta);
  this.total = void 0;
  this.subtotal = void 0;
  this.cells = void 0;
};

exports.RowColumnMeta = RowColumnMeta;

var OlapResponseBase = function OlapResponseBase() {
  (0, _classCallCheck2.default)(this, OlapResponseBase);
  this.rows = [];
  this.columns = [];
  this.values = [];
};

exports.OlapResponseBase = OlapResponseBase;
var CrossTableColumnType;
exports.CrossTableColumnType = CrossTableColumnType;

(function (CrossTableColumnType) {
  CrossTableColumnType["INDEX"] = "INDEX";
  CrossTableColumnType["TOTAL"] = "TOTAL";
  CrossTableColumnType["SUBTOTAL"] = "SUBTOTAL";
  CrossTableColumnType["MEASURE"] = "MEASURE";
  CrossTableColumnType["NORMAL"] = "NORMAL";
  CrossTableColumnType["EVENT"] = "EVENT";
  CrossTableColumnType["TREE"] = "TREE";
  CrossTableColumnType["VALUE"] = "VALUE";
  CrossTableColumnType["LEFT_VALUE"] = "LEFT_VALUE";
  CrossTableColumnType["CELL_CHART"] = "CELL_CHART";
})(CrossTableColumnType || (exports.CrossTableColumnType = CrossTableColumnType = {}));

var CrossTableRowType;
exports.CrossTableRowType = CrossTableRowType;

(function (CrossTableRowType) {
  CrossTableRowType["NORMAL"] = "NORMAL";
  CrossTableRowType["MEASURE"] = "MEASURE";
  CrossTableRowType["TOTAL"] = "TOTAL";
  CrossTableRowType["SUBTOTAL"] = "SUBTOTAL";
  CrossTableRowType["MEASUREGROUP"] = "MEASUREGROUP";
  CrossTableRowType["SUBTOTALPOSITION"] = "SUBTOTALPOSITION";
})(CrossTableRowType || (exports.CrossTableRowType = CrossTableRowType = {}));

var CrossTableColumnModel = function CrossTableColumnModel() {
  (0, _classCallCheck2.default)(this, CrossTableColumnModel);
  this.uuid = '';
  this.type = CrossTableColumnType.NORMAL;
  this.headerMeta = {};
  this.olapValueIndex = 0;
};

exports.CrossTableColumnModel = CrossTableColumnModel;

var CrossTableRowModel = function CrossTableRowModel() {
  (0, _classCallCheck2.default)(this, CrossTableRowModel);
  this.uuid = '';
  this.type = CrossTableRowType.NORMAL;
  this.headerMeta = {};
  this.isHeaderLastRow = false;
  this.rowIndex = void 0;
  this.originalData = void 0;
};

exports.CrossTableRowModel = CrossTableRowModel;

var CrossTableFieldSetting = function CrossTableFieldSetting() {
  (0, _classCallCheck2.default)(this, CrossTableFieldSetting);
  this.aliasName = '';
  this.alignment = void 0;
  this.areaType = 'row';
  this.desc = '';
  this.imageSize = void 0;
  this.label = false;
  this.nameChangedFlag = false;
  this.numberFormat = void 0;
  this.timeFormat = void 0;
  this.uuid = '';
};

exports.CrossTableFieldSetting = CrossTableFieldSetting;

var CrossTableTotalConfig = function () {
  function CrossTableTotalConfig() {
    (0, _classCallCheck2.default)(this, CrossTableTotalConfig);
    this.displayPosition = void 0;
    this.summaryFixBottom = void 0;
    this.insertSummary = void 0;
    this.totalLogic = void 0;
    this.currentMeasure = void 0;
    this.totalAlias = void 0;
    this.showSubTotal = void 0;
    this.dimValue = void 0;
    this.subTotalAlias = void 0;
    this.subTotalConfig = void 0;
    this.subTotalAliasNameMapping = void 0;
  }

  (0, _createClass2.default)(CrossTableTotalConfig, null, [{
    key: "getSubTotalAlias",
    value: function getSubTotalAlias(totalConfig, dimGuid) {
      var _totalConfig$subTotal, _totalConfig$subTotal2, _totalConfig$subTotal3;

      var index = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;

      if (!((_totalConfig$subTotal = totalConfig.subTotalConfig) === null || _totalConfig$subTotal === void 0 ? void 0 : _totalConfig$subTotal.length)) {
        return null;
      }

      return (_totalConfig$subTotal2 = totalConfig.subTotalAliasNameMapping) === null || _totalConfig$subTotal2 === void 0 ? void 0 : (_totalConfig$subTotal3 = _totalConfig$subTotal2[dimGuid]) === null || _totalConfig$subTotal3 === void 0 ? void 0 : _totalConfig$subTotal3[index];
    }
  }, {
    key: "isSingleSubTotal",
    value: function isSingleSubTotal(totalConfig, dimGuid) {
      var _totalConfig$subTotal4, _totalConfig$subTotal5;

      return ((_totalConfig$subTotal4 = totalConfig.subTotalAliasNameMapping) === null || _totalConfig$subTotal4 === void 0 ? void 0 : (_totalConfig$subTotal5 = _totalConfig$subTotal4[dimGuid]) === null || _totalConfig$subTotal5 === void 0 ? void 0 : _totalConfig$subTotal5.length) === 1;
    }
  }]);
  return CrossTableTotalConfig;
}();

exports.CrossTableTotalConfig = CrossTableTotalConfig;