import _createClass from "@babel/runtime/helpers/createClass.js";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck.js";
export var CellMeta = function CellMeta() {
  _classCallCheck(this, CellMeta);

  this.value = '';
  this.raw = '';
  this.dataType = void 0;
  this.props = {
    guid: '',
    hidden: false
  };
};
export var RowColumnMeta = function RowColumnMeta() {
  _classCallCheck(this, RowColumnMeta);

  this.total = void 0;
  this.subtotal = void 0;
  this.cells = void 0;
};
export var OlapResponseBase = function OlapResponseBase() {
  _classCallCheck(this, OlapResponseBase);

  this.rows = [];
  this.columns = [];
  this.values = [];
};
export var CrossTableColumnType;

(function (CrossTableColumnType) {
  CrossTableColumnType["INDEX"] = "INDEX";
  CrossTableColumnType["TOTAL"] = "TOTAL";
  CrossTableColumnType["SUBTOTAL"] = "SUBTOTAL";
  CrossTableColumnType["MEASURE"] = "MEASURE";
  CrossTableColumnType["NORMAL"] = "NORMAL";
  CrossTableColumnType["EVENT"] = "EVENT";
  CrossTableColumnType["TREE"] = "TREE";
  CrossTableColumnType["VALUE"] = "VALUE";
  CrossTableColumnType["LEFT_VALUE"] = "LEFT_VALUE";
  CrossTableColumnType["CELL_CHART"] = "CELL_CHART";
})(CrossTableColumnType || (CrossTableColumnType = {}));

export var CrossTableRowType;

(function (CrossTableRowType) {
  CrossTableRowType["NORMAL"] = "NORMAL";
  CrossTableRowType["MEASURE"] = "MEASURE";
  CrossTableRowType["TOTAL"] = "TOTAL";
  CrossTableRowType["SUBTOTAL"] = "SUBTOTAL";
  CrossTableRowType["MEASUREGROUP"] = "MEASUREGROUP";
  CrossTableRowType["SUBTOTALPOSITION"] = "SUBTOTALPOSITION";
})(CrossTableRowType || (CrossTableRowType = {}));

export var CrossTableColumnModel = function CrossTableColumnModel() {
  _classCallCheck(this, CrossTableColumnModel);

  this.uuid = '';
  this.type = CrossTableColumnType.NORMAL;
  this.headerMeta = {};
  this.olapValueIndex = 0;
};
export var CrossTableRowModel = function CrossTableRowModel() {
  _classCallCheck(this, CrossTableRowModel);

  this.uuid = '';
  this.type = CrossTableRowType.NORMAL;
  this.headerMeta = {};
  this.isHeaderLastRow = false;
  this.rowIndex = void 0;
  this.originalData = void 0;
};
export var CrossTableFieldSetting = function CrossTableFieldSetting() {
  _classCallCheck(this, CrossTableFieldSetting);

  this.aliasName = '';
  this.alignment = void 0;
  this.areaType = 'row';
  this.desc = '';
  this.imageSize = void 0;
  this.label = false;
  this.nameChangedFlag = false;
  this.numberFormat = void 0;
  this.timeFormat = void 0;
  this.uuid = '';
};
export var CrossTableTotalConfig = function () {
  function CrossTableTotalConfig() {
    _classCallCheck(this, CrossTableTotalConfig);

    this.displayPosition = void 0;
    this.summaryFixBottom = void 0;
    this.insertSummary = void 0;
    this.totalLogic = void 0;
    this.currentMeasure = void 0;
    this.totalAlias = void 0;
    this.showSubTotal = void 0;
    this.dimValue = void 0;
    this.subTotalAlias = void 0;
    this.subTotalConfig = void 0;
    this.subTotalAliasNameMapping = void 0;
  }

  _createClass(CrossTableTotalConfig, null, [{
    key: "getSubTotalAlias",
    value: function getSubTotalAlias(totalConfig, dimGuid) {
      var _totalConfig$subTotal, _totalConfig$subTotal2, _totalConfig$subTotal3;

      var index = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;

      if (!((_totalConfig$subTotal = totalConfig.subTotalConfig) === null || _totalConfig$subTotal === void 0 ? void 0 : _totalConfig$subTotal.length)) {
        return null;
      }

      return (_totalConfig$subTotal2 = totalConfig.subTotalAliasNameMapping) === null || _totalConfig$subTotal2 === void 0 ? void 0 : (_totalConfig$subTotal3 = _totalConfig$subTotal2[dimGuid]) === null || _totalConfig$subTotal3 === void 0 ? void 0 : _totalConfig$subTotal3[index];
    }
  }, {
    key: "isSingleSubTotal",
    value: function isSingleSubTotal(totalConfig, dimGuid) {
      var _totalConfig$subTotal4, _totalConfig$subTotal5;

      return ((_totalConfig$subTotal4 = totalConfig.subTotalAliasNameMapping) === null || _totalConfig$subTotal4 === void 0 ? void 0 : (_totalConfig$subTotal5 = _totalConfig$subTotal4[dimGuid]) === null || _totalConfig$subTotal5 === void 0 ? void 0 : _totalConfig$subTotal5.length) === 1;
    }
  }]);

  return CrossTableTotalConfig;
}();