import _classCallCheck from "@babel/runtime/helpers/classCallCheck.js";
export var FieldConfigTypes;

(function (FieldConfigTypes) {
  FieldConfigTypes["aggregation"] = "aggregation";
  FieldConfigTypes["contrast"] = "contrast";
  FieldConfigTypes["advancedCalculation"] = "advancedCalculation";
  FieldConfigTypes["numberFormat"] = "numberFormat";
  FieldConfigTypes["rename"] = "rename";
  FieldConfigTypes["align"] = "align";
  FieldConfigTypes["sort"] = "sort";
  FieldConfigTypes["timeFormat"] = "timeFormat";
  FieldConfigTypes["chartType"] = "chartType";
  FieldConfigTypes["imageSize"] = "imageSize";
  FieldConfigTypes["switchFieldGroup"] = "switchFieldGroup";
})(FieldConfigTypes || (FieldConfigTypes = {}));

export var Aggregators;

(function (Aggregators) {
  Aggregators["sum"] = "sum";
  Aggregators["avg"] = "avg";
  Aggregators["count"] = "count";
  Aggregators["countd"] = "countd";
  Aggregators["null"] = "null";
  Aggregators["more"] = "more";
  Aggregators["max"] = "max";
  Aggregators["min"] = "min";
  Aggregators["median"] = "median";
  Aggregators["percentile"] = "percentile";
  Aggregators["stddev_pop"] = "stddev_pop";
  Aggregators["stddev_samp"] = "stddev_samp";
  Aggregators["var_pop"] = "var_pop";
  Aggregators["var_samp"] = "var_samp";
  Aggregators["last_period"] = "last_period";
})(Aggregators || (Aggregators = {}));

export var ContrastTypes;

(function (ContrastTypes) {
  ContrastTypes["customContrast"] = "customContrast";
  ContrastTypes["noneContrast"] = "noneContrast";
})(ContrastTypes || (ContrastTypes = {}));

export var AdvanceCalTypes;

(function (AdvanceCalTypes) {
  AdvanceCalTypes["increase"] = "increase";
  AdvanceCalTypes["percentRatio"] = "percentRatio";
  AdvanceCalTypes["rank"] = "rank";
  AdvanceCalTypes["none"] = "none";
})(AdvanceCalTypes || (AdvanceCalTypes = {}));

export var AdvanceCalcDateTypes;

(function (AdvanceCalcDateTypes) {
  AdvanceCalcDateTypes["day"] = "day";
  AdvanceCalcDateTypes["week"] = "week";
  AdvanceCalcDateTypes["month"] = "month";
  AdvanceCalcDateTypes["quarter"] = "quarter";
  AdvanceCalcDateTypes["year"] = "year";
})(AdvanceCalcDateTypes || (AdvanceCalcDateTypes = {}));

export var NumberFormats;

(function (NumberFormats) {
  NumberFormats["auto"] = "auto";
  NumberFormats["int"] = "int";
  NumberFormats["oneDecimal"] = "oneDecimal";
  NumberFormats["twoDecimal"] = "twoDecimal";
  NumberFormats["percent"] = "percent";
  NumberFormats["oneDecimalPercent"] = "oneDecimalPercent";
  NumberFormats["twoDecimalPercent"] = "twoDecimalPercent";
  NumberFormats["custom"] = "custom";
})(NumberFormats || (NumberFormats = {}));

export var AlignTypes;

(function (AlignTypes) {
  AlignTypes["auto"] = "auto";
  AlignTypes["left"] = "left";
  AlignTypes["center"] = "center";
  AlignTypes["right"] = "right";
})(AlignTypes || (AlignTypes = {}));

export var SortTypes;

(function (SortTypes) {
  SortTypes["none"] = "";
  SortTypes["asc"] = "ASC";
  SortTypes["desc"] = "DESC";
  SortTypes["custom"] = "custom";
  SortTypes["group_asc"] = "GROUP_ASC";
  SortTypes["group_desc"] = "GROUP_DESC";
  SortTypes["field"] = "field";
  SortTypes["advance_sort"] = "advance_sort";
})(SortTypes || (SortTypes = {}));

export var FieldChartTypes;

(function (FieldChartTypes) {
  FieldChartTypes["bar"] = "bar";
  FieldChartTypes["line"] = "line";
  FieldChartTypes["polyline"] = "polyline";
})(FieldChartTypes || (FieldChartTypes = {}));

export var ImageSizes;

(function (ImageSizes) {
  ImageSizes["small"] = "small";
  ImageSizes["medium"] = "medium";
  ImageSizes["big"] = "big";
  ImageSizes["custom"] = "custom";
})(ImageSizes || (ImageSizes = {}));

export var DropdownMenuItem = function DropdownMenuItem() {
  _classCallCheck(this, DropdownMenuItem);

  this.type = void 0;
  this.id = void 0;
  this.title = void 0;
  this.icon = void 0;
  this.children = void 0;
  this.hasDivider = void 0;
  this.disabled = void 0;
  this.isHidden = void 0;
  this.selected = void 0;
  this.operatoredIcons = void 0;
  this.value = void 0;
  this.extra = void 0;
};
export var OperationTypes;

(function (OperationTypes) {
  OperationTypes["MORE"] = "more";
  OperationTypes["DRILL"] = "drill";
  OperationTypes["FILTER"] = "filter";
  OperationTypes["DELETE"] = "delete";
  OperationTypes["HIDE"] = "hide";
  OperationTypes["CUSTOM"] = "custom";
})(OperationTypes || (OperationTypes = {}));

export var OperationMenuItem = function OperationMenuItem() {
  _classCallCheck(this, OperationMenuItem);

  this.type = void 0;
  this.title = void 0;
  this.icon = void 0;
  this.disabled = void 0;
  this.visible = void 0;
  this.action = void 0;
};
export var DataSchemaRule = function DataSchemaRule() {
  _classCallCheck(this, DataSchemaRule);

  this.placeholder = void 0;
  this.maxColNum = void 0;
  this.required = void 0;
  this.fieldTypes = void 0;
  this.fieldGroupTypes = void 0;
  this.secondFieldTypes = void 0;
  this.disableDblAddField = void 0;
  this.isHiddenWhenNoField = void 0;
  this.drillGroupCount = void 0;
  this.allowExchangeWithNext = void 0;
  this.allowDimensionRepeat = void 0;
};
export var DataSchemaAreaItem = function DataSchemaAreaItem() {
  _classCallCheck(this, DataSchemaAreaItem);

  this.id = void 0;
  this.name = void 0;
  this.nameTip = void 0;
  this.chartStatus = void 0;
  this.stackedSortType = void 0;
  this.isMultiMeasureWithColorLegend = void 0;
  this.allowBatchConfig = true;
  this.queryAxis = void 0;
  this.rule = {};
  this.hooks = void 0;
  this.fieldConfigs = void 0;
  this.operationList = void 0;
  this.slot = void 0;
};
export var DropDownMenuType = {
  order: 'order',
  aggregater: 'aggregater',
  calculation: 'calculation',
  ratio: 'ratio',
  numberFormat: 'numberFormat',
  alignment: 'alignment',
  imageSize: 'imageSize',
  timeFormat: 'timeFormat',
  chartType: 'chartType',
  renameSetting: 'renameSetting',
  percentile: 'percentile',
  fieldOrder: 'fieldOrder',
  lastPeriod: 'lastPeriod',
  switchFieldGroup: 'switchFieldGroup',
  defaultExpand: 'defaultExpand'
};